Kerbal Space Program - Bug #10188

Low Jool orbit = "Cannot warp faster than 1x while ship is under acceleration”
07/26/2016 02:03 PM - Snark
Description

There appears to be a problem with being in very low orbit of Jool (Pe extremely close to the top of Jool's atmosphere): when ship
altiude is below a certain limit, the game seems to consider it as being "under acceleration” even when no acceleration is present.
This prevents timewarp, switching vessels, returning to KSC, etc.

There's no actual acceleration happening. If | go to the map view, the orbit is rock-solid steady, Pe and Ap aren't budging by so
much as a meter.

The exact elevation limit seems to depend on the shape of the orbit. | had a vessel with an Ap about halfway to Laythe's orbit, in
which case the limit was about 220 km (i.e., the ship was "under acceleration" whenever it was below an elevation of 220 km). On
the other hand, | had a lone EVA kerbal with nothing else inside the "physics bubble", in a more circular orbit whose Ap was only
about 250 km, and in that case the limit below which it counted as "under acceleration" was only around 210 km or so.

This bug makes for a very frustrating game experience when I've got a contract to rescue a kerbal from low Jool orbit. The kerbal's
derelict ship is orbiting below the altitude limit. So it's close to unrescuable. | can rendezvous my rescue ship with the derelict just
fine... and then can't switch vessels to EVA the kerbal across.

History

#1 - 06/17/2019 06:06 PM - Robert.Keech
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Issue no longer occurs

#2 - 06/17/2019 06:06 PM - Robert.Keech
- Status changed from Confirmed to Updated

#3 - 06/17/2019 06:07 PM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#4 - 06/17/2019 07:36 PM - chris.fulton

- Status changed from Resolved to Closed
